const removeOffCanvasPaths = require('./plugins/removeOffCanvasPaths');
const removeUselessDefs = require('./plugins/removeUselessDefs');
const removeUnknownsAndDefaults = require('./plugins/removeUnknownsAndDefaults');
const removeTitle = require('./plugins/removeTitle');
const removeXMLProcInst = require('./plugins/removeXMLProcInst');
const _transforms = require('./plugins/_transforms');
const cleanupNumericValues = require('./plugins/cleanupNumericValues');
const removeAttrs = require('./plugins/removeAttrs');
const cleanupIDs = require('./plugins/cleanupIDs');
const removeXMLNS = require('./plugins/removeXMLNS');
const minifyStyles = require('./plugins/minifyStyles');
const prefixIds = require('./plugins/prefixIds');
const removeEditorsNSData = require('./plugins/removeEditorsNSData');
const cleanupEnableBackground = require('./plugins/cleanupEnableBackground');
const removeRasterImages = require('./plugins/removeRasterImages');
const sortAttrs = require('./plugins/sortAttrs');
const removeComments = require('./plugins/removeComments');
const _path = require('./plugins/_path');
const moveGroupAttrsToElems = require('./plugins/moveGroupAttrsToElems');
const moveElemsAttrsToGroup = require('./plugins/moveElemsAttrsToGroup');
const removeViewBox = require('./plugins/removeViewBox');
const removeStyleElement = require('./plugins/removeStyleElement');
const addClassesToSVGElement = require('./plugins/addClassesToSVGElement');
const removeEmptyContainers = require('./plugins/removeEmptyContainers');
const removeAttributesBySelector = require('./plugins/removeAttributesBySelector');
const removeMetadata = require('./plugins/removeMetadata');
const removeElementsByAttr = require('./plugins/removeElementsByAttr');
const removeEmptyAttrs = require('./plugins/removeEmptyAttrs');
const removeNonInheritableGroupAttrs = require('./plugins/removeNonInheritableGroupAttrs');
const removeHiddenElems = require('./plugins/removeHiddenElems');
const sortDefsChildren = require('./plugins/sortDefsChildren');
const removeDesc = require('./plugins/removeDesc');
const reusePaths = require('./plugins/reusePaths');
const convertEllipseToCircle = require('./plugins/convertEllipseToCircle');
const convertColors = require('./plugins/convertColors');
const removeUselessStrokeAndFill = require('./plugins/removeUselessStrokeAndFill');
const removeUnusedNS = require('./plugins/removeUnusedNS');
const convertTransform = require('./plugins/convertTransform');
const cleanupListOfValues = require('./plugins/cleanupListOfValues');
const removeEmptyText = require('./plugins/removeEmptyText');
const removeDimensions = require('./plugins/removeDimensions');
const collapseGroups = require('./plugins/collapseGroups');
const removeDoctype = require('./plugins/removeDoctype');
const convertShapeToPath = require('./plugins/convertShapeToPath');
const convertPathData = require('./plugins/convertPathData');
const convertStyleToAttrs = require('./plugins/convertStyleToAttrs');
const _collections = require('./plugins/_collections');
const inlineStyles = require('./plugins/inlineStyles');
const mergePaths = require('./plugins/mergePaths');
const addAttributesToSVGElement = require('./plugins/addAttributesToSVGElement');
const removeScriptElement = require('./plugins/removeScriptElement');
const cleanupAttrs = require('./plugins/cleanupAttrs');

module.exports = {
  removeOffCanvasPaths,
  removeUselessDefs,
  removeUnknownsAndDefaults,
  removeTitle,
  removeXMLProcInst,
  _transforms,
  cleanupNumericValues,
  removeAttrs,
  cleanupIDs,
  removeXMLNS,
  minifyStyles,
  prefixIds,
  removeEditorsNSData,
  cleanupEnableBackground,
  removeRasterImages,
  sortAttrs,
  removeComments,
  _path,
  moveGroupAttrsToElems,
  moveElemsAttrsToGroup,
  removeViewBox,
  removeStyleElement,
  addClassesToSVGElement,
  removeEmptyContainers,
  removeAttributesBySelector,
  removeMetadata,
  removeElementsByAttr,
  removeEmptyAttrs,
  removeNonInheritableGroupAttrs,
  removeHiddenElems,
  sortDefsChildren,
  removeDesc,
  reusePaths,
  convertEllipseToCircle,
  convertColors,
  removeUselessStrokeAndFill,
  removeUnusedNS,
  convertTransform,
  cleanupListOfValues,
  removeEmptyText,
  removeDimensions,
  collapseGroups,
  removeDoctype,
  convertShapeToPath,
  convertPathData,
  convertStyleToAttrs,
  _collections,
  inlineStyles,
  mergePaths,
  addAttributesToSVGElement,
  removeScriptElement,
  cleanupAttrs,
};
